$ErrorActionPreference = 'Stop';

$packageName = 'SourcePreviewHandler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.smartftp.com/get/SourcePreviewHandler.msi'
$url64      = 'https://www.smartftp.com/get/SourcePreviewHandler64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'SourcePreviewHandler*'

  checksum      = 'bb83efd2f9b25ceef15037a478da944a84d9d95e7e35c8f3bb47313d148d9a3d'
  checksumType  = 'sha256'
  checksum64    = '47ad39d0e7f9261f49f238db7252c35a0befa0ed90761a805b3a4bd59ba97748'
  checksumType64= 'sha256'

  silentArgs    = "/passive /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
